# -> ***Beginners Guide to Piracy*** <-

***
**Table of Contents**
[TOC2]

***

### FAQ

> How can I improve my privacy online?
We'd recommend checking out privacy guides like [SSD](https://ssd.eff.org/) and [The New Oil](https://thenewoil.org/).

> I don't know what seeding or *insert another term* means...
You will find almost all terms related to piracy and more in [The Piracy Glossary](https://rentry.org/the-piracy-glossary). Didn't find what you're looking for or still confused? Reach out to us via [Discord](https://discord.gg/5W9QJKuPkD).

> How can I download / activate Windows or Microsoft Office for free?
For Windows check out this [section](#windows-piracy), and for Microsoft Office check out this [guide](https://gravesoft.dev/download_windows_office/office_c2r_links/).

> Where can I find *insert game title / movie title*?
You can use [WhereYouWatch](https://whereyouwatch.com) for finding movies, and for new movies it's a good idea to keep an eye on [r/movieleaks](https://reddit.com/r/movieleaks) as well. You should also be able to find most movies you're looking for in the [streaming section](#streaming). For games, you can use [Rezi](https://rezi.one) or any other site listed [here](https://fmhy.net/gamingpiracyguide#download-games), and for newly released games check out [r/crackwatch](https://reddit.com/r/crackwatch).
!!!info Pirated movie releases generally happen after a movie is digitally released or released via Blu-ray / DVD, which can take 3+ months after initially playing in theaters.

!!!warning Please avoid downloading games from any site listed [here](https://fmhy.net/unsafesites) as they're very likely to contain malicious links.

> How can I unlock *insert random game title* DLCs?
Use the tools listed [here](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/game-tools/#wiki_.25B7_steam_.2F_epic) to unlock DLCs.

> Should I install and use *insert random antivirus software* instead of using Windows Defender?
No, don't do that. Windows Defender is more than enough to keep you safe, but if you're still set on installing a secondary AV, the only one worth installing is Malwarebytes. Please read the note [here](#anti-virus).
!!!warning Stay away from Avast, Norton, and McAfee, as these are "bloatware" and generally unsafe software.

> How can I download an image from *insert stock image site*?
 You can use [this downloader](https://downloader.la/), and if it doesn't work you can find other stock image downloaders [here](https://fmhy.net/img-tools#stock-photos).

***

### Windows Piracy

* **[Windows ISOs](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/system-tools#wiki_.25BA_windows_isos)** - Download Windows
* **[Windows Activation](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/system-tools#wiki_.25B7_windows_activation)** - Activate Windows

***

### Linux Piracy

* **[Linux Distros](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/linux#wiki_.25BA_linux_distros)** - Download Linux Distros
* **[Linux Gaming Guide](https://github.com/rimsiw/linux-gaming-omg)** - Piracy Guide for Linux
* **[Torrminatorr](https://forum.torrminatorr.com/)** / **[Kapital Sin](https://kapitalsin.com/)** - Download Linux Games
* **[ani-cli](https://github.com/pystardust/ani-cli)** - Anime Streaming Terminal

***

### MacOS Piracy

* **[gibMacOS](https://github.com/corpnewt/gibMacOS)** - Download macOS
* **[Torrminatorr](https://forum.torrminatorr.com/)** - Download macOS Games
* **[qBittorrent](https://www.qbittorrent.org/)** - macOS Torrent Client
* **[Homebrew](https://brew.sh/)** / [GUI](https://corkmac.app/) - macOS Package Manager
* **[SpotX Bash](https://github.com/jetfir3/SpotX-Bash)** - macOS Spotify Adblocker

***

### Browser

* **[Privacy Browsers](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/adblock-vpn-privacy#wiki_.25BA_web_privacy)** - Privacy-Focused Browsers
* **[Browser Extensions](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/internet-tools#wiki_.25B7_browser_extensions) / [Userscripts](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/internet-tools#wiki_.25B7_userscripts)** - Add features & functionality to browsers
* **[Dark Reader](https://darkreader.org/)** - Dark mode for all sites
* **[ReturnYoutubeDislikes](https://returnyoutubedislike.com/)** - View YouTube dislikes

***

### Adblocking

* **[uBlock Origin](https://github.com/gorhill/uBlock#installation)** - The most popular (and best) adblocking extension
* **[SponsorBlock](https://sponsor.ajay.app/)** - Skip sponsored YouTube ads
* **[Spotify Adblockers](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/audio#wiki_.25B7_spotify_adblockers)** - Block Spotify ads
* **[Twitch Adblockers](https://fmhy.net/social-media-tools#twitch-adblockers)** - Block Twitch ads
* **[Redirect Skippers](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/adblock-vpn-privacy#wiki_.25B7_redirect_bypass)** - Bypass redirect sites

!!!note Don't run multiple general adblockers like uBlock and Adblock Plus at the same time. Running more than one can [cause breakage](https://twitter.com/gorhill/status/1033706103782170625). This only applies to general adblockers, so running things like uBlock and Sponsorblock at the same time is fine.

***

### Antivirus

* **[VirusTotal](https://www.virustotal.com)** - Test the safety of files / [Results Guide](https://rentry.co/VTGuide)
* **[Malwarebytes Premium](https://rentry.co/FMHYBase64#malwarebytes-prem)**, [2](https://www.malwarebytes.com/) - Real-time anti-malware software / Premium

!!!note Antivirus software is usually bloatware. Stick to trusted sources for games and software and you will be fine with nothing but Windows Defender and an occasional Malwarebytes scan. Remember to always scan software before installing it with tools like **[VirusTotal](https://www.virustotal.com/)** or use it in **[Sandboxie](https://rentry.co/sandboxie-guide)**.

***

### Privacy

* **[Privacy Guides](https://www.privacyguides.org/)** - Privacy guides
* **[DuckDuckGo](https://duckduckgo.com/) / [Mojeek](https://www.mojeek.com/)** - Tracker-free web search
* **[ProtonMail](https://proton.me/mail)** - Encrypted email service
* **[Email Privacy](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/adblock-vpn-privacy#wiki_.25B7_email_privacy)** - Email privacy resources
* **[Aegis](https://getaegis.app/) / [Ente](https://github.com/ente-io/auth/)** - 2FA to prevent logins without user authentication
* **[Password Managers](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/internet-tools#wiki_.25B7_password_managers)** - Save multiple passwords
* **[HaveIBeenPwned](https://haveibeenpwned.com/)** - Get notified when your email or phone number has been found in a data breach
* **[VPN List](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/adblock-vpn-privacy#wiki_.25BA_vpn)** - VPN index

!!!note Note that a VPN is not needed outside torrenting. You can avoid the need for one altogether by sticking to direct download and streaming sites.

***

### Streaming

* **[movie-web](https://erynith.github.io/movie-web-instances/) / [2](https://docs.undi.rest/instances) + [Add Sources](https://pastebin.com/w8Brq2UA) / [Braflix](https://www.braflix.ru/) / [watch.lonelil](https://watch.lonelil.ru/) / [Binged](https://binged.live/)** -  Movie / TV streaming
* **[HiAnime](https://hianime.to/)** - Anime Streaming
* **[Dramacool](https://dramacool.cy/)** - Asian drama streaming
* **[SportsSurge](https://v2.sportsurge.net/home4/)** - Live sports streaming
* **[How-to Find Rare Movies](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/find-rare-movies)** - Find obscure films

***

### Downloading

* **[CRACKSurl](https://cracksurl.com/) / [LRepacks](https://lrepacks.net/) / [M0nkrus](https://w14.monkrus.ws/)** - Trusted software sites
* **[Pahe](https://pahe.ink/)** - Fast video downloads
* **[FitGirl Repacks](https://fitgirl-repacks.site/)** / **[SteamRIP](https://steamrip.com/)** - Game download sites
* **[Firehawk52](https://rentry.org/firehawk52)** - Music ripping guide
* **[lucida](https://lucida.to/), [2](https://lucida.su/) / [DoubleDouble](https://doubledouble.top/)** - Multi-Site audio download
* **[Soulseek](https://slsknet.org/)** or [Nicotine+](https://nicotine-plus.org/) - Audio download app
* **[squid.wtf](https://squid.wtf/)** - Deezer FLAC download

!!!note When using DDLs, it's generally recommended to use a download manager such as JDownloader, as they improve the ease of downloading as well as the speed. You can find them listed [here](https://fmhy.net/file-tools#download-managers).

***

### Torrenting

!!!warning Torrenting can get you in trouble with your ISP, so make sure to use a [VPN](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/adblock-vpn-privacy#wiki_.25BA_vpn). Most VPNs offer a killswitch to prevent data leaks, but you should also [bind your VPN to your client](https://redd.it/ssy8vv), preventing it from connecting at all unless your VPN is on.

* **[qBittorrent](https://www.qbittorrent.org/) / [Transmission](https://transmissionbt.com/) / [Deluge](https://www.deluge-torrent.org/) / [Remote Torrenting](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/torrent#wiki_.25B7_remote_torrenting)** - Torrent clients
* **[RuTracker](https://rutracker.org/)** / [Wiki](http://rutracker.wiki/) / [Rules](https://rutracker.org/forum/viewtopic.php?t=1045) - Torrent video, audio, games, software & more / Only download from reputable users
* **[FitGirl Repacks](https://fitgirl-repacks.site/)** - Trusted game repacker
* **[Stremio](https://www.stremio.com/)** - Torrent video streaming app / [Addons](https://stremio-addons.netlify.app/)
* **[Nyaa](https://nyaa.si/)** - Anime Torrents

***

### Reading

* **[Mobilism](https://forum.mobilism.org) / [Library Genesis](https://libgen.rs/) / [Z-Library](https://singlelogin.re/) / [Annas Archive](https://annas-archive.org/)** - Books, audiobooks, comics & more
* **[Audiobook Bay](https://audiobookbay.is/)** - Audiobook torrents / **Avoid fake DL links, use [Torrents / Magnets](https://i.ibb.co/8sV2061/0fa8159b11bb.png)**
* **[ReadComicsOnline](https://readcomiconline.li/)** - Read comics online
* **[MangaReader](https://mangareader.to/)** - Read manga online
* **[Ebook Readers](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/reading#wiki_.25BA_ebook_readers)** - List of ebook readers

***

### Mobile Piracy

* **[Android AdGuard Premium](https://rentry.co/FMHYBase64#adguard-premium)** / **[iOS AdGuard Premium](https://rentry.co/FMHYBase64#adguard-pro-ios)** - Adblocking app
* **[Android Modded Spotify](https://rentry.co/FMHYBase64#modded-spotify-apk)** / **[iOS Modded Spotify](https://rentry.co/FMHYBase64#spotify)** - Modded Spotify
* **[Cromite](https://github.com/uazo/cromite) / [Firefox](https://www.mozilla.org/en-US/firefox/browsers/mobile/android/) / [Kiwi](https://play.google.com/store/apps/details?id=com.kiwibrowser.browser&hl=en_US&gl=US)** - Android web browsers
* **[Mobilism](https://forum.mobilism.org/viewforum.php?f=398)** - Modded APKs
* **[/r/ApkApps Megathread](https://apksapps.notion.site/apksapps/096ef38f452342ba99b4e1509a449729?v=9970360b443643789c333bd2c7180009)** - Updated list of modded APKs / [Subreddit](https://www.reddit.com/r/ApksApps) / [Discord](https://discord.gg/Kr5EWKZU5Y)
* **[APKMirror](https://www.apkmirror.com/)** - Untouched APKs
* **[F-Droid](https://f-droid.org/)** - FOSS Android Apps
* **[Stremio](https://www.stremio.com/)** - Video streaming app / Use VPN / [Guide](https://viren070.github.io/guides/stremio/guide)
* **[Patch Reddit Clients](https://docs.google.com/document/u/0/d/1wHvqQwCYdJrQg4BKlGIVDLksPN0KpOnJWniT6PbZSrI/mobilebasic)** - How To Patch 3rd Party Reddit Clients
* **[ReVanced Manager](https://github.com/revanced/revanced-manager)** - Ad-Free YouTube, Reddit, X etc. Patcher / [Discord](https://discord.com/invite/rF2YcEjcrT) / [Guide](https://redd.it/xlcny9)
* **[Complete Jailbreak Chart](https://ios.cfw.guide/)** - Jailbreaking info & tools

***

### Useful Stuff

* **[Video Players](https://fmhy.net/video-tools#video-players) / [Servers](https://fmhy.net/video-tools#media-servers)** - Host & play videos
* **[Audio Players](https://fmhy.net/audiopiracyguide#audio-players) / [Servers](https://fmhy.net/audiopiracyguide#audio-servers)** - Host & play audio
* **[Android Emulators](https://fmhy.net/android-iosguide#android-emulators)** - Use android apps on desktop
* **[Hosting / Cloud Storage](https://fmhy.net/file-tools#file-hosts)** - Share, store & sync files
* **[Download Managers](https://fmhy.net/file-tools#download-managers)** - Manage file downloads
* **[File Archivers](https://fmhy.net/file-tools#file-archivers)** - Unzip / Compress files
* **[OpenSubtitles](https://opensubtitles.org/)** - Most popular subtitles site
* **[Unsafe Sites / Software](https://redd.it/10bh0h9)** - Things we recommend avoiding

***

**[^ Back to Top](#beginners-guide-to-piracy)**